Migrate a single agent Base URL https://{kibana_url} POST /api/fleet/agents/{agentId}/migrate Auth Migrate a single agent to another cluster. Authorization Path Header Body Response Required authorization Privileges fleet-agents-all Path parameters agentId string required The agent ID Header parameters kbn-xsrf string required A required header to protect against CSRF attacks Request body { } enrollment_token string required settings object − hide properties ca_sha256 string certificate_authorities string elastic_agent_cert string elastic_agent_cert_key string elastic_agent_cert_key_passphrase string headers map string to string insecure boolean proxy_disabled boolean proxy_headers map string to string proxy_url string replace_token string staging string tags string[] · max items: 10 uri string · format: uri required Responses 200 Successful response application/json actionId string required 400 Bad Request application/json attributes object required error string errorType string message string required statusCode number